Subject: Re: [bug#29582] [PATCH] gnu: git-modes: Rename to 'emacs-git-modes'.

From: Alex Kost <[email-masked]>
Date: Sun, 24 Dec 2017 23:45:10 +0300

Kyle Meyer (2017-12-24 10:44 -0500) wrote:

> Alex Kost <[email-masked]> writes:
>
>> Kyle Meyer (2017-12-09 10:51 -0500) wrote:
>
> [...]
>
>>> I prefer "emacs-" for consistency, but the practical reason I want it is
>>> so that emacs-packages? recognizes magit.  That way, if I package some
>>> magit extensions, I don't need to manually tweak the load path in their
>>> package definitions (I think, at least; was looking at the issue a while
>>> back).
>>
>> I'm not sure what you mean by this manual tweak, why do you need it?
>
> When I'm defining a new emacs package, emacs-build-system:build takes
> care of updating the load path to include directories for emacs packages
> in the inputs, but it relies on emacs-packages?, which relies on the
> "emacs-" prefix, to do this.  So, if I'm defining a package that depends
> on Magit, I need to manually set load-path in the build phase.

Yeah, this is a problem, I don't like relying on "emacs-" prefix, but it
is probably the only reasonable way we have to determine emacs packages.
So prefixing all emacs packges with "emacs-" would be a good Guix
policy, I think.

BTW, there is another discussion related to this problem.  See the
bottom of <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28832#71>.

I think all this stuff should be discussed in a separate thread (on
guix-devel mailing list).

-- 
Alex